<?php

namespace KupShop\FeedsBundle\Feed;

use KupShop\FeedsBundle\Exceptions\UnknownFeedTypeException;

class DeprecatedFeed extends BaseFeed
{
    /** @var string */
    public static $type = 'deprecated';

    /** @var string */
    public static $alias = '[Feed ukončen]';

    public function getTTL(): int
    {
        return 9999999;
    }

    /**
     * @throws UnknownFeedTypeException
     */
    protected static function getTemplateFile(): string
    {
        throw new UnknownFeedTypeException('Deprecated feed');
    }

    public static function isAllowed(): bool
    {
        return false;
    }
}
